﻿using System;
using Telerik.Windows.Controls.ScheduleView;

namespace SilverlightApplication1
{
	public class MonthlyTickProvider : ITickProvider
	{
		public string GetFormatString(IFormatProvider formatInfo, string formatString, DateTime currentStart)
		{
			return string.Format(formatInfo, "{0:MMMM}", currentStart);
		}

		public DateTime GetNextStart(TimeSpan pixelLength, DateTime currentStart)
		{
			var currentDate = currentStart.Date;

			var monthStart = CalendarHelper.GetStartOfMonth(currentStart.Year, currentStart.Month);
			if (monthStart == currentDate)
			{
				return monthStart.AddMonths(1);
			}
			return monthStart;
		}
	}
}
